Subject: Re: [PATCH] powerpc: Optimise the 64bit optimised __clear_user

From: Paul Mackerras <[email-masked]>
Date: Thu, 7 Jun 2012 13:04:23 +1000

On Wed, Jun 06, 2012 at 06:40:54PM +0200, Segher Boessenkool wrote:
> >+err1;	dcbz	r0,r3
> 
> There is no such instruction, you probably meant "dcbz 0,r3"?

There certainly is such an instruction, though it doesn't do exactly
what a naive reader might expect.  Using 0 rather than r0 or %r0
improves readability but makes no difference to the assembler or the
cpu.

Paul.